# Sanitizer_MemcpyData Struct Reference
[Sanitizer Callback API]

Data passed into a memcpy callback function. More...

## Data Fields

uint64_t | dstAddress
CUcontext | dstContext
uint32_t | isAsync
uint64_t | size
uint64_t | srcAddress
CUcontext | srcContext

## Detailed Description

Data passed into a launch callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_MEMCPY. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_MemcpyData::srcContext

The context where the source allocation is located